//
//  MainTabBarViewController.swift
//  Tusker
//
//  Created by  Shadowfactson 8/21/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import UIKit

class MainTabBarViewController: UITabBarController {

    override func viewDidLoad() {
        super.viewDidLoad()

        viewControllers = [
            navigationController(for: TimelineTableViewController.create(for: .home)),
            navigationController(for: TimelineTableViewController.create(for: .public(local: false))),
            navigationController(for: TimelineTableViewController.create(for: .public(local: true))),
            NotificationsTableViewController.create(),
            PreferencesTableViewController.create()
        ]
    }
    
    func navigationController(for vc: UIViewController) -> UINavigationController {
        return UINavigationController(rootViewController: vc)
    }

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

    @IBAction func unwindToTabBarController(segue: UIStoryboardSegue) {
    }
    
}
